Skip to main content

mPowerChat Get Attachment

mPowerChat Get Attachment is used to download attachments from mPowerChat. The mediaid of any uploaded file will be returned to the callback URL, which is set during service creation through Add Service. This mediaid should be added in the request url, to download the file.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v3/mpower/chat/media/{mediaid}

HTTP request URL for SHIFT​

GET https://mpower/v1/mpower/tenants/{tenantId}/media/{mediaId}/download
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No Parameter fields are required.

Request body​

No request body fields are required.

Response​

The requested file will be downloaded.

Response Status Information​

StatusTypeDescription
200OKSuccess
204statusNo Content